#!/bin/sh
export PATH='/usr/lib/distcc/bin:/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: jose
version: 0.6.0.3
id: jose-0.6.0.3-Fh5XpueNpOzDZwQUOF9Qwq
key: jose-0.6.0.3-Fh5XpueNpOzDZwQUOF9Qwq
license: Apache-2.0
copyright: Copyright (C) 2013, 2014, 2015, 2016, 2017  Fraser Tweedale
maintainer: frase@frase.id.au
homepage: https://github.com/frasertweedale/hs-jose
synopsis: Javascript Object Signing and Encryption and JSON Web Token library
description:
    .
    An implementation of the Javascript Object Signing and Encryption
    (JOSE) and JSON Web Token (JWT; RFC 7519) formats.
    .
    The JSON Web Signature (JWS; RFC 7515) implementation is complete.
    .
    EdDSA signatures (RFC 8037) are supported (Ed25519 only).
    .
    JWK Thumbprint (RFC 7638) is supported (requires /aeson/ >= 0.10).
    .
    JSON Web Encryption (JWE; RFC 7516) is not yet implemented.
    .
    The __ECDSA implementation is vulnerable to timing attacks__ and
    should only be used for verification.
category: Cryptography
author: Fraser Tweedale
exposed: True
indefinite: False
exposed-modules:
    Crypto.JOSE Crypto.JOSE.AESKW Crypto.JOSE.Compact Crypto.JOSE.Error
    Crypto.JOSE.Header Crypto.JOSE.JWA.JWE Crypto.JOSE.JWA.JWE.Alg
    Crypto.JOSE.JWA.JWK Crypto.JOSE.JWA.JWS Crypto.JOSE.JWE
    Crypto.JOSE.JWK Crypto.JOSE.JWK.Store Crypto.JOSE.JWS
    Crypto.JOSE.Types Crypto.JWT
hidden-modules: Crypto.JOSE.TH Crypto.JOSE.Types.Internal
                Crypto.JOSE.Types.Orphans
abi: 99d2d4d33a7f1e89cb8f514f8a7c051c
trusted: False
import-dirs: /usr/lib/ghc-8.2.2/site-local/jose-0.6.0.3
library-dirs: /usr/lib/ghc-8.2.2/site-local/jose-0.6.0.3
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/arm-linux-ghc-8.2.2/jose-0.6.0.3
hs-libraries: HSjose-0.6.0.3-Fh5XpueNpOzDZwQUOF9Qwq
depends:
    base-4.10.1.0 attoparsec-0.13.2.2-LZeWrUF9jJCLKiulgivlMd
    base64-bytestring-1.0.0.1-8MlzMz2YH3lCqJ4GOwL1Be
    concise-0.1.0.1-LWb4I4GcOtzKlo2Zmm6vvY containers-0.5.10.2
    cryptonite-0.24-ADbSdPxpTU43oMpCpaGsre
    lens-4.15.4-42MeKq9a7gDFShEdhXYkUY
    memory-0.14.14-3GtRlbgkR7BFacV6GF45Jh
    monad-time-0.2-LUGpLHgSHKFHCiGjsIZzVq
    mtl-2.2.1-DscMMmDQUE6GBfOSl4qMUH
    semigroups-0.18.4-mxkGq2xNPcBC0dj8uuk3q template-haskell-2.12.0.0
    safe-0.3.15-EroU33EYnr02fGSZYGiX97
    aeson-1.2.4.0-9TsMr8JCMWWAuTOIqOHJIi
    unordered-containers-0.2.9.0-14GJxyni7Ou4ztgK034uJm
    bytestring-0.10.8.2 text-1.2.3.0-6107d52Rn3mLJ1xgqHMkbj
    time-1.8.0.2 network-uri-2.6.1.0-18L86fks2XD2OSuhve27bS
    QuickCheck-2.10.1-pyTUKjDV2C3TaEubSGdV9
    quickcheck-instances-0.3.16.1-BLKmeByJWpC9Q7PYLVN4PP
    x509-1.7.2-jZt1mye380FQyk7KXupTD
    vector-0.12.0.1-JlawpRjIcMJIYPJVsWriIA
abi-depends: base-4.10.1.0=0ea45191c57c268b2351cb731ab6a0d6
             attoparsec-0.13.2.2-LZeWrUF9jJCLKiulgivlMd=e2a8304e8e3d2a4e2c1322de5747978c
             base64-bytestring-1.0.0.1-8MlzMz2YH3lCqJ4GOwL1Be=fd5db0dc9688093c1ac2c3223371478e
             concise-0.1.0.1-LWb4I4GcOtzKlo2Zmm6vvY=331874effd9017bcd07105f94e74b41b
             containers-0.5.10.2=0f9db0d1b935cacba444aac19f4cb54d
             cryptonite-0.24-ADbSdPxpTU43oMpCpaGsre=e98e48b8af58992f36eb539ae95a96dc
             lens-4.15.4-42MeKq9a7gDFShEdhXYkUY=1df2464391f3f82c807cbee8fd69f0ee
             memory-0.14.14-3GtRlbgkR7BFacV6GF45Jh=a5689c69d1410ab12db1f995c7fe7eb7
             monad-time-0.2-LUGpLHgSHKFHCiGjsIZzVq=116f431f7921957b9b3eca4c6ee81af5
             mtl-2.2.1-DscMMmDQUE6GBfOSl4qMUH=a1f89647d7228db4bf59b7aaec52e888
             semigroups-0.18.4-mxkGq2xNPcBC0dj8uuk3q=0f8a4b2bc8ee8ce3a5dab66f0eb14e7c
             template-haskell-2.12.0.0=24d98a36b9e0dbd4d443161d478c05b2
             safe-0.3.15-EroU33EYnr02fGSZYGiX97=604c7b7c109a34b58d71795df287548a
             aeson-1.2.4.0-9TsMr8JCMWWAuTOIqOHJIi=678f7baab8d88792435c407def5321e2
             unordered-containers-0.2.9.0-14GJxyni7Ou4ztgK034uJm=a19fc431946ec4b21dbc4dc9d0f6448c
             bytestring-0.10.8.2=4b2726b654ceeff6535e698a2a1e724e
             text-1.2.3.0-6107d52Rn3mLJ1xgqHMkbj=b7726d921cac66adc5c8f9f66f5b25f0
             time-1.8.0.2=d7392e85059cb108aeb68d6e24815970
             network-uri-2.6.1.0-18L86fks2XD2OSuhve27bS=2690938855a63b0d59221887564a11f0
             QuickCheck-2.10.1-pyTUKjDV2C3TaEubSGdV9=77baeaa97e72dac9529ccf150f178180
             quickcheck-instances-0.3.16.1-BLKmeByJWpC9Q7PYLVN4PP=2b2abd3993b08df08a8c4cfc8a6c2ae0
             x509-1.7.2-jZt1mye380FQyk7KXupTD=1f3c7dac47c0c8ba4c1c8946d9ddb70b
             vector-0.12.0.1-JlawpRjIcMJIYPJVsWriIA=137c9db50bf637e10c6e6dd9e685ce59
haddock-interfaces: /usr/share/doc/haskell-jose/html/jose.haddock
haddock-html: /usr/share/doc/haskell-jose/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

